RAUL 0.8.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Raul::DoubleBuffer< T > Class Template Reference
Realtime Audio Utility Library

Double buffer. More...

`#include <DoubleBuffer.hpp>`

List of all members.

## Public Member Functions

| DoubleBuffer (T val)
| DoubleBuffer (const DoubleBuffer &copy)
T & | get () const
bool | set (T new_val)

## Detailed Description

### template<typename T>
class Raul::DoubleBuffer< T >

Double buffer.

Can be thought of as a wrapper class to make a non-atomic type atomically settable (with no locking).

Read/Write realtime safe, many writers safe - but set calls may fail.

Space: 2*sizeof(T) + sizeof(int) + sizeof(void*)

The documentation for this class was generated from the following file:

- DoubleBuffer.hpp